Subject: Re: [RESEND][PATCH] Bluetooth: Make request workqueue freezable

From: Arend van Spriel <arend-dY08KVG/lbpWk0Htik3J/[email-masked]>
Date: Thu, 21 May 2015 19:27:41 +0200

On 05/21/15 17:35, Takashi Iwai wrote:
> At Thu, 21 May 2015 11:26:17 -0400 (EDT),
> Alan Stern wrote:
>>
>> On Thu, 21 May 2015, Takashi Iwai wrote:
>>
>>> At Thu, 21 May 2015 10:18:08 -0400 (EDT),
>>> Alan Stern wrote:
>>>>
>>>> On Thu, 21 May 2015, Takashi Iwai wrote:
>>>>
>>>>> Then avoiding the failed firmware is no solution, indeed.
>>>>> If it's a new probe, it should be never executed during resume.
>>>>
>>>> Can you expand this comment?  What's wrong with probing during resume?
>>>
>>> Well, if the probe requires the access to a user-space file, it can't
>>> be done during resume.  That's the very problem we're seeing now.
>>> The firmware loader can't help much alone if it's a new device
>>> object.
>>
>> But the same thing happens during early boot, if the driver is built
>> into the kernel.  When the probe occurs, userspace isn't up and running
>> yet, so the firmware loader can't do anything.
>>
>> Why should probe during resume be any worse than probe during early
>> boot?
>
> The early boot has initrd, so the files can be there.  But the resume
> has no way to fetch the file except for cached data.

but initrd is optional so without initrd it is pretty much the same.

Regards,
Arend

> Takashi
> --
> To unsubscribe from this list: send the line "unsubscribe linux-bluetooth" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html